org.eclipse.net4j.util.ref

## Class KeyedWeakReference<K,T>

- java.lang.Object
- - java.lang.ref.Reference<T>
  - - java.lang.ref.WeakReference<T>
    - - org.eclipse.net4j.util.ref.KeyedWeakReference<K,T>

- All Implemented Interfaces:
    KeyedReference<K,T>

      public class KeyedWeakReference<K,T>
      extends java.lang.ref.WeakReference<T>
      implements KeyedReference<K,T>

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyedWeakReference(K key, T ref)`
    `KeyedWeakReference(K key, T ref, java.lang.ref.ReferenceQueue<T> queue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `K` | `getKey()`
    `ReferenceType` | `getType()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.ref.Reference

      `clear, enqueue, get, isEnqueued`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.ref.KeyedReference

      `clear, enqueue, get, isEnqueued`

- - ### Constructor Detail

    - #### KeyedWeakReference

          public KeyedWeakReference(K key,
                                    T ref)

    - #### KeyedWeakReference

          public KeyedWeakReference(K key,
                                    T ref,
                                    java.lang.ref.ReferenceQueue<T> queue)

  - ### Method Detail

    - #### getType

          public ReferenceType getType()

      Specified by:
        `getType` in interface `KeyedReference<K,T>`

    - #### getKey

          public K getKey()

      Specified by:
        `getKey` in interface `KeyedReference<K,T>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html